﻿epiJQuery(function ($) {

    // TECHNOTE: IE 8, 9 does not have console object
    if (typeof console === "undefined") {
        console = { log: function () { } };
    }

    // enable / disable textbox in Authen Setting Form
    var _setDisableForSettingForm = function (/*Boolean*/isDisable) {
        $("#StackShortname").attr('disabled', isDisable);
        $("#ClientId").attr('disabled', isDisable);
        $("#ClientSecret").attr('disabled', isDisable);
    };

    var init = {
        authentication: function () {
            // ------------- on connect callback
            window.userAuthenticatedCallback = function (/*Object*/data) {
                // response: [json]
                //  Possible response object structure:
                //      {
                //          HttpStatusCode: [string],
                //          TechnicalMessage: [string],
                //          IsSuccess: [bool],
                //          AccessTokenResponse : {
                //              access_token: [string],
                //              refresh_token: [string],
                //              token_type: [string],
                //              expires_in: [number],
                //              error: [string],
                //              error_description: [string],
                //          }
                //      }

                // Do nothing if we have any notification from server side,
                // and then log the responsed notification
                if (data) {

                    $('#SaveSucessMessage').slideUp();
                    $('#systemMessage').html('');
                    $("#systemMessage").slideUp();

                    var accessTokenResponse = data.accessTokenResponse;

                    if (!data.isSuccess) {
                        if (data.isUserCancelLogin) {
                            return;
                        }

                        // show Errors (Ex exception) on UI if occurred
                        if (data.technicalMessage) {
                            $('#systemMessage').append(data.technicalMessage);
                        }

                        // show Errors from Stackla API
                        if (accessTokenResponse) {
                            if (accessTokenResponse.error || accessTokenResponse.error_description) {
                                $('#systemMessage').append(accessTokenResponse.error_description);
                            }
                        }

                        $('#systemMessage').slideDown();
                    } else {
                        // if authenticated success then display infor on UI
                        $("#AccessToken").val(accessTokenResponse.access_token);
                        $("#RefreshToken").val(accessTokenResponse.refresh_token);
                        $("#TokenType").val(accessTokenResponse.token_type);
                        // convert expires field from seconds to days to display
                        var days = accessTokenResponse.expires_in / (24 * 60 * 60);
                        $("#ExpiresIn").val(days);

                        $("#authenticatedInfo").slideDown();

                        $("#disconnected").slideUp();
                        $("#connected").slideDown();
                    }
                }
            }

            // ------------ on disconnect handling
            $("#SignOut").click(function (e) {
                e.preventDefault();
                var self = $(this);
                $.post(self.closest("form").attr("action"), {}, function (data) {
                    if (data.success) {
                        $("#connected").slideUp();
                        $("#disconnected").slideDown();
                        $("#authenticatedInfo").slideUp();

                        // remove value of text box after logging out
                        // to prevent invalid setting when user press Save button
                        $("#AccessToken").val('');
                        $("#RefreshToken").val('');
                        $("#TokenType").val('');
                        $("#ExpiresIn").val('');

                    } else {
                        // show error on UI
                        if (data.error) {
                            $('#systemMessage').html('');
                            $('#systemMessage').text(data.error);
                            $('#systemMessage').slideDown();
                        }
                    }
                }, "json");
            });

            // --------- on connect hanlding
            $('#SignIn').click(function (e) {
                e.preventDefault();
                var self = $(this);
                window.open(self.closest("form").attr("action"), "small", "height=600,width=900,status=0,titlebar=0,toolbar=0,scrollbars=1");
            });

            // --------- on using json package handling
            $('#IsUploadJsonPackage').click(function (e) {
                if ($(this).is(':checked')) {
                    _setDisableForSettingForm(true);
                    // show upload textbox 
                    $('#FileUploadContainer').css('display', 'block');
                } else {
                    _setDisableForSettingForm(false);
                    // hide upload textbox 
                    $('#FileUploadContainer').css('display', 'none');
                }
            });

        }
    };

    init.authentication();

});