﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<EPiServer.UGC.UI.Models.AdminPageViewModel>" MasterPageFile="../Shared/Site.master" Title="Episerver UGC" %>

<%@ Assembly Name="EPiServer.UGC.UI" %>
<%@ Assembly Name="EPiServer.UGC.Core" %>

<%@ Import Namespace="EPiServer.UGC.UI.Models" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Shell.UI" %>
<%@ Import Namespace="EPiServer.Shell.Web" %>
<%@ Import Namespace="EPiServer.Shell.Navigation" %>
<%@ Import Namespace="EPiServer.Framework.Web.Resources" %>
<%@ Import Namespace="EPiServer.UGC.Core.Helpers" %>

<%@ Register TagPrefix="sc" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>

<asp:Content runat="server" ContentPlaceHolderID="cssLinkRegion">
    <link rel="stylesheet" type="text/css" href="<%= ModuleHelper.ToClientResource("ClientResources/Styles/Style.css") %>" />
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="GlobalNavigationContainer">
    <div class="epi-globalNavigationContainer">
        <sc:shellmenu runat="server" selectionpath="/global/stackla" />
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">
    <!---------------- Have no setting  ------------>
    <% if (!Model.IsEnoughSetting) { %>
    <div class="epi-contentContainer epi-padding align--center">
        <div class="system-message ">
            <p><%=Html.Translate("/episerver/stackla/authentication/disconnected/requiresetting") %></p>
        </div>
    </div>

    <!---------------- Has not authenticated with stackla Account ------------>
    <% } else if (!Model.IsAuthenticated) { %>
    <div class="epi-contentContainer epi-padding align--center">
        <div class="system-message ">
            <p><%=Html.Translate("/episerver/stackla/authentication/disconnected/requireauthentication") %></p>
        </div>
    </div>

    <!---------------- When access token is expired ------------>
    <% } else if (Model.IsExpiredAccessToken) { %>
    <div class="epi-contentContainer epi-padding align--center">
        <div class="system-message ">
            <p><%=Html.Translate("/episerver/stackla/authentication/erroraccesstokenexpiration") %></p>
        </div>
    </div>

    <!---------------- Errors occurred while getting Session Token ------------>
    <% } else if (Model.HasErrorSessionTokenResponse) { %>
    <div class="epi-contentContainer epi-padding align--center">
        <div class="system-message ">
            <% if(Model.SessionTokenResponse == null) { %>
            <ul>
                <li>
                    <strong><%=Html.Translate("/episerver/stackla/authentication/errorgettingsessiontoken") %></strong>
                </li>
            </ul>
            <% } else { %>
            <p> 
                <%=Html.Translate("/episerver/stackla/authentication/errorfromstackla") %>
            </p>
            <ul>
                <% foreach(var error in (Model.SessionTokenResponse.errors)) { %>
                <li>
                    <strong> <%=error.message %></strong>
                </li>
                <% } %>
            </ul>
            <% } %>
        </div>
    </div>

    <% } else { %>
    <!-- Stackla Widget Embed Code (start) -->
    <div class='stackla-oem-iframe' data-stack-name="<%=Model.CurrentSetting.StackShortname %>" data-session-id="<%=Model.SessionToken %>"></div>
    <script type='text/javascript'>
        (function (d) {
            // embed.js CDN
            var containerEls = document.querySelectorAll('.stackla-oem-iframe');
            var containerEl = containerEls[0];
            var stackName = containerEl.getAttribute('data-stack-name');
            var t = d.createElement('script');
            t.type = 'text/javascript';
            t.src = 'https://assetscdn.stackla.com/media/js/plugins/embed/oem-embed.js';
            (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(t);
        }(document));
    </script>
    <!-- Stackla Widget Embed Code (end) -->

    <% } %>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="AdditionalScripts">
</asp:Content>
