﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<Settings>" %>

<%@ Assembly Name="EPiServer.UGC.UI" %>
<%@ Import Namespace="EPiServer.UGC.UI.Models" %>
<%@ Import Namespace="EPiServer.UGC.Core.Helpers" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Shell.UI" %>
<%@ Import Namespace="EPiServer.Shell.Web" %>
<%@ Import Namespace="EPiServer.Shell.Navigation" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <%= Page.ClientResources("ShellCore")%>
    <%= Page.ClientResources("ShellCoreLightTheme")%>
    <%= Html.CssLink(EPiServer.Web.PageExtensions.ThemeUtility.GetCssThemeUrl(Page, "system.css"))%>
    <%= Html.CssLink(EPiServer.Web.PageExtensions.ThemeUtility.GetCssThemeUrl(Page, "ToolButton.css"))%>
    <!--[if IE 6]>
    <%= Html.CssLink(EPiServer.Web.PageExtensions.ThemeUtility.GetCssThemeUrl(Page, "IE6.css"))%>
    <%= Html.CssLink(EPiServer.Web.PageExtensions.ThemeUtility.GetCssThemeUrl(Page, "IE.css"))%>
    <![endif]-->

    <!-- Stackla's Resource -->
    <%--<%= Page.ClientResources("StacklaResource") %>--%>
    <link rel="stylesheet" type="text/css" href="<%= ModuleHelper.ToClientResource("ClientResources/Styles/Style.css") %>" />

</head>
<body class="Sleek stackla">

    <div class="epi-contentContainer epi-padding stackla">
        <div class="epi-formArea">
            <div class="epi-size10">
                <div class="epi-contentArea">
                    <h1 class="EP-prefix">
                        <%= Html.Translate("/episerver/stackla/administration/heading") %>
                    </h1>

                    <div class="system-message" id="systemMessage" style="display:none;">
                    </div>
                </div>

                <% if (ViewData.ContainsKey("ErrorMessage")) { %>
                <div class="system-message " id="SaveSucessMessage">
                    <%= ViewData["ErrorMessage"] %>
                </div>
                <% } %>

                <% if (ViewData.ContainsKey("SuccessMessage")) { %>
                <div class="system-message " id="SaveSucessMessage">
                    <%= ViewData["SuccessMessage"] %>
                </div>
                <% } else if (!ViewData.ModelState.IsValid) { %>
                <div class="EP-validationSummary">
                    <%= Html.ValidationSummary(false) %>
                </div>
                <% } %>

                <% using(Html.BeginForm("SaveSetting", "Settings", FormMethod.Post, new { enctype = "multipart/form-data" })) { %>

                    <%= Html.HiddenFor(m => m.Id) %>

                    <div>
                        <label><%= Html.Translate("/episerver/stackla/administration/settings/stackshortname") %></label>
                        <%= Html.TextBoxFor(m => m.StackShortname, Model.IsUploadJsonPackage ? (object)new { @class = "episize500" , disabled="disabled"  } : new { @class = "episize500" })%>
                    </div>
                    <div>
                        <label><%= Html.Translate("/episerver/stackla/administration/settings/clientid") %></label>
                        <%= Html.TextBoxFor(m => m.ClientId, Model.IsUploadJsonPackage ? (object)new { @class = "episize500" , disabled="disabled"  } : new { @class = "episize500" })%>
                    </div>
                    <div>
                        <label><%= Html.Translate("/episerver/stackla/administration/settings/clientsecret") %></label>
                        <%= Html.PasswordFor(m => m.ClientSecret, Model.IsUploadJsonPackage ? (object)new { @class = "episize500", value = Model.ClientSecret , disabled="disabled"  } : new { @class = "episize500", value = Model.ClientSecret  })%>
                    </div>
                    <div>
                        <label><%= Html.Translate("/episerver/stackla/administration/settings/jsonpackage") %></label>
                        <%= Html.CheckBoxFor(m => m.IsUploadJsonPackage, new { @class = "episize500" })%>
                    </div>
                    <div id="FileUploadContainer" style="<%= Model.IsUploadJsonPackage ? "": "display:none"  %>">
                        <label for="FileUpload"></label>
                        <input name="FileUpload" type="file" id="FileUpload" />
                    </div>

                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <input id="SaveStacklaSetting" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-tools2 epi-cmsButton-Save"
                                name="SaveStacklaSetting" type="submit" value="<%= Html.Translate("/episerver/stackla/administration/save") %>" />
                        </span>
                    </div>

                <% } %>

                <div id="disconnected" style="<%= !string.IsNullOrEmpty(Model.AccessToken) ? "display:none": ""  %>">
                    <% using(Html.BeginForm("ExchangeCodeForToken", "EAUI", FormMethod.Get)) { %>
                        <div class="heading">
                            <h2><%= Html.Translate("/episerver/stackla/authentication/disconnected/heading")%></h2>
                        </div>
                        <p><%= Html.Translate("/episerver/stackla/authentication/disconnected/description")%></p>

                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <input id="SignIn" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-tools2 epi-cmsButton-Security"
                                    type="submit" value="<%= Html.Translate("/episerver/stackla/authentication/disconnected/signin")%>" />
                            </span>
                        </div>
                    <% } %>
                </div>

                <div id="connected" style="<%= !string.IsNullOrEmpty(Model.AccessToken) ? "": "display:none"  %>">
                    <% using(Html.BeginForm("SignOut", "EAUI", FormMethod.Get)) { %>
                        <div class="heading">
                            <h2><%= Html.Translate("/episerver/stackla/authentication/connected/heading")%></h2>
                        </div>
                        <p><%= Html.Translate("/episerver/stackla/authentication/connected/description")%></p>

                        <!-- check authenication to view infor loggedin -->
                        <div id="authenticatedInfo" class="authenticate" style="<%= !string.IsNullOrEmpty(Model.AccessToken) ? "": "display:none" %>">
                            <div>
                                <label><%= Html.Translate("/episerver/stackla/administration/settings/accesstoken") %></label>
                                <%= Html.PasswordFor(m => m.AccessToken, new { @class = "episize500" , @disabled = "disabled", value = Model.AccessToken })%>
                            </div>
                            <div>
                                <label><%= Html.Translate("/episerver/stackla/administration/settings/refreshtoken") %></label>
                                <%= Html.PasswordFor(m => m.RefreshToken, new { @class = "episize500", @disabled = "disabled", value = Model.RefreshToken })%>
                            </div>
                            <div>
                                <label><%= Html.Translate("/episerver/stackla/administration/settings/expiresin") %></label>
                                <%= Html.TextBoxFor(m => m.ExpiresIn, new { @class = "episize500", @disabled = "disabled"  })%>
                            </div>
                        </div>
                        <br />
                        <!-- end check authenication to view infor loggedin -->
                        
                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <input id="SignOut" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-tools2 epi-cmsButton-LogOut"
                                    type="submit" value="<%= Html.Translate("/episerver/stackla/authentication/connected/signout") %>" />
                            </span>
                        </div>
                    <% } %>
                </div>

                <div>
                    <% using(Html.BeginForm("ClearCache", "Settings", FormMethod.Get)) { %>
                        <div class="heading">
                            <h2><%= Html.Translate("/episerver/stackla/administration/cachesettings/heading")%></h2>
                        </div>
                        <p><%= Html.Translate("/episerver/stackla/administration/cachesettings/description")%></p>

                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <input class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-tools2 epi-cmsButton-Delete"
                                    type="submit" value="<%= Html.Translate("/episerver/stackla/administration/cachesettings/clearcachebutton")%>" />
                            </span>
                        </div>
                    <% } %>
                </div>
            </div>
        </div>
    </div>

    <script src="<%= ModuleHelper.ToClientResource("ClientResources/Scripts/Admin.js") %>" type="text/javascript"></script>

</body>
</html>
